function [RadOut]=AppendHFRadarStats(RadialStatsIn1,RadialStatsIn2)
%
%  [RadOut]=AppendHFRadarStats(RadialStatsIn1,RadialStatsIn2);
%
%  b/c the statss are sometimes calculated in groups of files
%  so they should be grouped before plotting
%
%  assumes each stat structure has the same field names
%
%  CMH, Sept 2007
%
TemField=fieldnames(RadialStatsIn1);
%
try
    for jfield=1:numel(TemField),
        eval(['RadOut. ' char(TemField{jfield}) '=[RadialStatsIn1.' char(TemField{jfield}) ';RadialStatsIn2.' char(TemField{jfield}) '];'])
    end
catch
    disp('field names not common')
    disp('NaNs being returned')
    RadOut=NaN;
end
%
%  routine is ended, return
%
return;
%
