%DirIn='/Users/chrishalle/Documents/CMHToolbox/TemMakeRadMasks';
DirIn='/Users/chrishalle/Documents/CODARData/Radials/MLML/Matlab/Measured';
FileIn='MLMLRadsMeasuredY2007M5.mat';
%
%CoastFileIn=fullfile('/Users/chrishalle/Documents/CMHToolbox/TemGetRegion','WestCoastMap.mat');
CoastFileIn=fullfile('/Users/chrishalle/Documents/CODARData/Totals/StatewideFromSYKim/ProcessingInfo','WestCoastMap.mat');
%RadialMaskFile={'/Users/chrishalle/Documents/CMHToolbox/TemMakeRadMasks/MaskInfo/NewlyMadeCheckedMasks/MLMLRadMaskIn.txt'}; %
RadialMaskFile={'/Users/chrishalle/Documents/CODARData/Radials/MaskInfo/MLMLRadMaskIn.txt'};%
MaxGapTDiff=4;
PerCovWindowSearch=8;
%
cd(DirIn);
%
load(FileIn);
%
disp('about to mask radials')
pause(1);
%
[Rorig,II]=maskRadials(Rorig,RadialMaskFile{1},true);
%
disp('about to concatenate radials')
pause(1);
%
Rcat = temporalConcatRadials(Rorig, 0.001, 0.49, 0.49, 0.5 );
%
disp('about to calculate stats')
pause(1);
%
[RcatStatsSecond]=GetHFTemporalStats(Rcat(2),MaxGapTDiff,PerCovWindowSearch);
%
disp('about to investigate stats')
pause(2);
%
InvHFTemporalStatFlagging(RcatStatsSecond,CoastFileIn);
%
