function RenameMENDFiles(RadialType)
%
%  RenameMENDFiles(RadialType);
%
%  Renames the files so that MEND is changed to PAFS
%
switch upper(RadialType)
    case 'IDEAL'
        DirIn='/Users/chrishalle/Documents/CODARData/Radials/PAFS/IdealAll/';
    otherwise
        DirIn='/Users/chrishalle/Documents/CODARData/Radials/PAFS/MeasuredAll/';
end
%
cd(DirIn);
%
TemDir=dir;
%
%  loop through and rename if necessary
%
for jdir=1:numel(TemDir),
    %
    if isequal(rem(jdir,100),0),
        TemStr=['Checking File ' num2str(jdir) ' of ' num2str(numel(TemDir)) ' Files'];
        disp(TemStr)
    end
    if ~TemDir(jdir).isdir,
        if numel(TemDir(jdir).name)>15,
            TemName=TemDir(jdir).name;
            if isequal(TemName(6:9),'MEND'),
                TemName2=[TemName(1:5) 'PAFS' TemName(10:numel(TemName))];
                TemStr=['Renaming:  File In : ' TemName];
                disp(TemStr)
                TemStr=['           File Out : ' TemName2];
                disp(TemStr)
                movefile(TemName,TemName2);
            end
        end
    end
end
%
%  the routine is done
%
return;
%
