function AddLineToLog(dirname,filename,LineToAdd)
%
%  AddLineToLog(dirname,filename,LineToAdd);
%
%  This function adds a line to the data log specified by dirname
%  and filename.  If it does not exist, it creates it first.
%
%  the directory is saved, then change back at the end.
%
%  LineToAdd is s string
%
CurrDir=pwd;
%
TemFile=fullfile(dirname,filename);
%
fid=fopen(TemFile,'a');
%
if fid>0,
    fprintf(fid,'%s',LineToAdd);
    fprintf(fid,'\r\n ');
    fclose(fid);
else
    disp('could not open log file')
end
%
cd(CurrDir);
%
return;
%

